Developers

Move task to column and sort

PATCH
/project/tasks/{id}/move-to-column-and-sort

Move task to column and sort

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Task identifier

Request Body

The updated Task resource

  1. body
taskIds?array<>|
Items1 <= items
boardColumn?string
Formatiri-reference

Response Body

Task resource updated

  1. response
id?string
Formatuuid
no?integer
shortCode?string
Length6 <= length <= 6
name?string
Lengthlength <= 150
priority?string
Value in"low""normal""high"
description?|
Lengthlength <= 100000
dateStart?string
Formatdate-time
dateEnd?string
Formatdate-time
createdAt?string
Formatdate-time
createdBy?|null
createdBySource?string
Value in"user""repeater""automation""template""import""integration"
updatedAt?string
Formatdate-time
finishedAt?|
Formatdate-time
finishedBy?|null
weight?integer
storyPoints?|
Value in123581321
status?string
Value in"in-preparation""open""suspended""closed"
project?string
Formatuuid
projectShortCode?string
Length6 <= length <= 6
projectName?string
Lengthlength <= 100
projectIsSimple?boolean
stage?string
Formatuuid
stageName?string
Lengthlength <= 100
board?string
Formatuuid
boardShortCode?string
Length6 <= length <= 6
boardName?string
Lengthlength <= 100
boardStatus?string
Value in"in-preparation""open""suspended""closed"
lastImageUrl?|
Lengthlength <= 255
lastImage?|
Formatuuid
previewImage?|
Formatuuid
isReadOnly?boolean
isRepeated?boolean
taskRepeater?|
Formatuuid
isSubscribed?boolean
taskTypes?array<>
assignedTaskUsers?array<>
location?|
Lengthlength <= 1024
canManage?boolean
Defaultfalse
boardColumn?
timePlanned?integer
timeReported?integer|null
countChecklistItems?integer
countChecklistItemsChecked?integer
countFiles?integer
countComments?integer
taskTickets?array<string|null>|null
dependency?|
Value in"waiting""blocking""finished""related"
permissions?
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/tasks/string/move-to-column-and-sort' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "no": 0,  "shortCode": "string",  "name": "string",  "priority": "low",  "description": "string",  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": true,    "phoneNumber": "string",    "jobPositionName": "string",    "hourlyRate": null,    "isExternal": true,    "decorator": "string"  },  "createdBySource": "user",  "updatedAt": "2019-08-24T14:15:22Z",  "finishedAt": "2019-08-24T14:15:22Z",  "finishedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": true,    "phoneNumber": "string",    "jobPositionName": "string",    "hourlyRate": null,    "isExternal": true,    "decorator": "string"  },  "weight": 0,  "storyPoints": 1,  "status": "in-preparation",  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "projectShortCode": "string",  "projectName": "string",  "projectIsSimple": true,  "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",  "stageName": "string",  "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",  "boardShortCode": "string",  "boardName": "string",  "boardStatus": "in-preparation",  "lastImageUrl": "string",  "lastImage": "2b6fec48-a211-44ce-b9a6-b687e8965e7d",  "previewImage": "5cd48077-a44f-440e-baa5-cf74d11683f7",  "isReadOnly": true,  "isRepeated": true,  "taskRepeater": "acda20fd-ac5a-4e39-8f65-2a0fd9a65f4c",  "isSubscribed": true,  "taskTypes": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "decorator": "#78909c",      "tasks": [        "https://example.com/"      ],      "categories": [        "https://example.com/"      ]    }  ],  "assignedTaskUsers": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "projectUser": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "shortCode": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "pictureSm": "string",        "pictureLg": "string",        "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",        "contractorName": "string",        "canLogIn": true,        "phoneNumber": "string",        "jobPositionName": "string",        "hourlyRate": null,        "isExternal": true,        "decorator": "string"      },      "timePlanned": 0,      "role": "none"    }  ],  "location": "string",  "canManage": false,  "boardColumn": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decorator": "#78909c",    "status": "todo"  },  "timePlanned": 0,  "timeReported": 0,  "countChecklistItems": 0,  "countChecklistItemsChecked": 0,  "countFiles": 0,  "countComments": 0,  "taskTickets": [],  "dependency": "waiting",  "permissions": {    "canRetrieve": true,    "canEdit": true,    "canEditDates": true,    "canDelete": true,    "canSetReadOnly": true,    "canChangeStatus": true,    "isMovable": true,    "canGetReportedClocks": true,    "canSeeAssignedTaskUsersTimePlanned": true,    "canManageAssignedTaskUsersTimePlanned": true  }}